From d8f7d4657b137a8a485ecdbf5f52bc4b61f3ef31 Mon Sep 17 00:00:00 2001
From: Catherine Moore <clm@codesourcery.com>
Date: Thu, 30 Mar 2017 07:26:23 -0700
Subject: [PATCH] 	Use .syntax unified instead of .syntax divided.

---
 newlib/libc/machine/arm/aeabi_memmove-arm.S | 2 +-
 newlib/libc/machine/arm/aeabi_memset-arm.S  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/newlib/libc/machine/arm/aeabi_memmove-arm.S b/newlib/libc/machine/arm/aeabi_memmove-arm.S
index e6e9639..541444d 100644
--- a/newlib/libc/machine/arm/aeabi_memmove-arm.S
+++ b/newlib/libc/machine/arm/aeabi_memmove-arm.S
@@ -27,7 +27,7 @@
  */
 
 	.arm
-	.syntax divided
+	.syntax unified
 	.global __aeabi_memmove
 	.type	__aeabi_memmove, %function
 	ASM_ALIAS __aeabi_memmove4 __aeabi_memmove
diff --git a/newlib/libc/machine/arm/aeabi_memset-arm.S b/newlib/libc/machine/arm/aeabi_memset-arm.S
index 0f91e3a..1c7bec5 100644
--- a/newlib/libc/machine/arm/aeabi_memset-arm.S
+++ b/newlib/libc/machine/arm/aeabi_memset-arm.S
@@ -27,7 +27,7 @@
  */
 
 	.arm
-	.syntax divided
+	.syntax unified
 	.global __aeabi_memset
 	.type	__aeabi_memset, %function
 	ASM_ALIAS __aeabi_memset4 __aeabi_memset
-- 
2.8.1

